local Tablet = AceLibrary("Tablet-2.0")

PvPinfoFu = Rock:NewAddon("PvPinfoFu", "LibFuBarPlugin-3.0", "LibRockEvent-1.0", "LibRockTimer-1.0", "LibRockConfig-1.0", "LibRockDB-1.0")

PvPinfoFu.version = "1.00"
PvPinfoFu:SetFuBarOption("hasNoText", true)
PvPinfoFu:SetFuBarOption("hasIcon", true)
PvPinfoFu:SetFuBarOption('iconPath', [[Interface\AddOns\FuBar_PvPinfoFu\icon]])
PvPinfoFu:SetFuBarOption('defaultPosition', "RIGHT")
PvPinfoFu:SetFuBarOption('tooltipType', "Tablet-2.0")
PvPinfoFu:SetFuBarOption('clickableTooltip', false)

PvPinfoFu:SetDatabase("PvPinfoFuDB")
PvPinfoFu:SetDatabaseDefaults("profile", {


})

function PvPinfoFu:OnInitialize()
	local options = {
		name = "FuBar_PvPinfoFu",
		desc = self.notes,
		type = 'group',
		args = {

        }
	}

	PvPinfoFu:SetConfigTable(options)
end

function PvPinfoFu:OnUpdateFuBarText()
	self:SetFuBarText("PvPinfo")
end

function PvPinfoFu:OnEnable()
	self:AddEventListener("KNOWN_CURRENCY_TYPES_UPDATE", "OnUpdateFuBarText")
end

function PvPinfoFu:OnUpdateFuBarTooltip()
	for i=1, GetCurrencyListSize() do 
		local name, _, _, _, _, count = GetCurrencyListInfo(i)
		string.find(name, "Conquest Points")
		string.find(name, "Honor Points")
        
		if name == "Conquest Points" then
			ConquestPointsCount = count
		elseif name == "Honor Points" then
			HonorPointsCount = count
		end
	end
	

	local cat = Tablet:AddCategory(
		'columns', 5,
		'child_textR', 1,
		'child_textG', 1,
		'child_textB', 0,
		'child_text2R', 1,
		'child_text2G', 1,
		'child_text2B', 0
	)
	
	cat:AddLine(
		'text', " ",
		'text2', "Battleground",
		'text3', "Won",
		'text4', "Total")	
	cat:AddLine(
		'text', " ",
		'text2', "AB",
		'text3', GetStatistic(51),
		'text4', GetStatistic(55))	
	cat:AddLine(
		'text', " ",
		'text2', "AV",
		'text3', GetStatistic(49),
		'text4', GetStatistic(53))	
	cat:AddLine(
		'text', " ",
		'text2', "EOTS",
		'text3', GetStatistic(50),
		'text4', GetStatistic(54))	
	cat:AddLine(
		'text', " ",
		'text2', "IOC",
		'text3', GetStatistic(4097),
		'text4', GetStatistic(4096))	
	cat:AddLine(
		'text', " ",
		'text2', "SOTA",
		'text3', GetStatistic(1550),
		'text4', GetStatistic(1549))	
	cat:AddLine(
		'text', " ",
		'text2', "WSG",
		'text3', GetStatistic(105),
		'text4', GetStatistic(52))
	cat:AddLine(
		'text', " ",
		'text2', "Gilneas",
		'text3', GetStatistic(5237),
		'text4', GetStatistic(5236))
	cat:AddLine(
		'text', " ",
		'text2', "Twin Peaks",
		'text3', GetStatistic(5233),
		'text4', GetStatistic(5232))
	cat:AddLine()
	cat:AddLine()
	cat:AddLine(
		'text', " ",
		'text2', "Arena type",
		'text3', "Won",
		'text4', "Total")
	cat:AddLine(
		'text', " ",
		'text2', "2v2",
		'text3', GetStatistic(366),
		'text4', GetStatistic(367))
	cat:AddLine(
		'text', " ",
		'text2', "3v3",
		'text3', GetStatistic(364),
		'text4', GetStatistic(365))
	cat:AddLine(
		'text', " ",
		'text2', "5v5",
		'text3', GetStatistic(362),
		'text4', GetStatistic(363))
	cat:AddLine()
	cat:AddLine()
	cat:AddLine(
		'text', " ",
		'text2', "Miscellaneous",
		'text3', "Won",
		'text4', "Lost")
	cat:AddLine(
		'text', "",
		'text2', "Duels",
		'text3', GetStatistic(319),
		'text4', GetStatistic(320))
	cat:AddLine(
		'text', " ",
		'text2', "Honor",
		'text3', " ",
		'text4', HonorPointsCount)
	cat:AddLine(
		'text', " ",
		'text2', "Conquest",
		'text3', " ",
		'text4', ConquestPointsCount)
	cat:AddLine(
		'text', " ",
		'text2', "Total HK's",
		'text3', " ",
		'text4', GetStatistic(588))
	cat:AddLine(
		'text', " ",
		'text2', "Total deaths",
		'text3', " ",
		'text4', GetStatistic(60))
	cat:AddLine(
		'text', "",
		'text2', "Critters Killed",
		'text3', " ",
		'text4', GetStatistic(108))
	cat:AddLine(
		'text', "",
		'text2', "/violin",
		'text3', " ",
		'text4', GetStatistic(1067))
end

function PvPinfoFu:OnFuBarClick()
	TogglePVPFrame()
end